ros-rolling-rosbridge-server (2.2.0-1noble) noble; urgency=high

  * Update maintainers (#1000 <https://github.com/RobotWebTools/rosbridge_suite/issues/1000>)
  * Prevent parameter retrieval crashes (#978 <https://github.com/RobotWebTools/rosbridge_suite/issues/978>)
  * Call services and send action goals in new threads by default (#996 <https://github.com/RobotWebTools/rosbridge_suite/issues/996>)
  * Add timeout option to call_service messages (#984 <https://github.com/RobotWebTools/rosbridge_suite/issues/984>)
  * Add ament_mypy test and fix all mypy errors (#980 <https://github.com/RobotWebTools/rosbridge_suite/issues/980>)
  * Add namespace and respawn parameters to the nodes in the launch file (#977 <https://github.com/RobotWebTools/rosbridge_suite/issues/977>)
  * fix: add url_path parameter in rosbridge_websocket_launch.xml (#963 <https://github.com/RobotWebTools/rosbridge_suite/issues/963>)
  * Contributors: Błażej Sowa, Lebecque Florian, Mehsias, Matthias Rathauscher, SeanPai

 -- Błażej Sowa <blazej@fictionlab.pl>  Wed, 26 Feb 2025 00:00:00 -0000

ros-rolling-rosbridge-server (2.1.0-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 08 Oct 2024 00:00:00 -0000

ros-rolling-rosbridge-server (2.0.0-1noble) noble; urgency=high

  * Fix action cancellation by passing status from JSON (#953 <https://github.com/RobotWebTools/rosbridge_suite/issues/953>)
  * Update pre-commit and fix issues (#954 <https://github.com/RobotWebTools/rosbridge_suite/issues/954>)
  * rosbridge_websocket: Stop websocket server if ROS shuts down (#946 <https://github.com/RobotWebTools/rosbridge_suite/issues/946>)
  * Support actions in rosbridge protocol (#886 <https://github.com/RobotWebTools/rosbridge_suite/issues/886>)
  * Port unit tests to ROS 2 + Fix CBOR conversion and PNG compression (#882 <https://github.com/RobotWebTools/rosbridge_suite/issues/882>)
  * Contributors: Brad Martin, Sebastian Castro

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 08 Oct 2024 00:00:00 -0000

ros-rolling-rosbridge-server (1.3.2-1noble) noble; urgency=high

  * Add option to call services in a separate thread (#847 <https://github.com/RobotWebTools/rosbridge_suite/issues/847>)
  * Contributors: Sebastian Castro

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 27 Sep 2023 00:00:00 -0000

ros-rolling-rosbridge-server (1.3.1-1noble) noble; urgency=high

  * Fix exceptions not being handled correctly. (#817 <https://github.com/RobotWebTools/rosbridge_suite/issues/817>)
  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>) (#800 <https://github.com/RobotWebTools/rosbridge_suite/issues/800>)
  * Improve robustness for multiple client connections (#803 <https://github.com/RobotWebTools/rosbridge_suite/issues/803>)
  * Minor performance improvements (#809 <https://github.com/RobotWebTools/rosbridge_suite/issues/809>)
  * Fix hostname parameter is no longer converted as an int value (#780 <https://github.com/RobotWebTools/rosbridge_suite/issues/780>)
  * Fix duplicate subscription created with wrong 'raw' attribute. (#798 <https://github.com/RobotWebTools/rosbridge_suite/issues/798>)
  * Add graceful shutdown (#794 <https://github.com/RobotWebTools/rosbridge_suite/issues/794>)
  * Contributors: Hans-Joachim Krauch, Hugo Perier, Steffen Nattke

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-rolling-rosbridge-server (1.3.0-1noble) noble; urgency=high

  * Add url_path config option (#709 <https://github.com/RobotWebTools/rosbridge_suite/issues/709>)
  * Contributors: Matthijs van der Burgh, Sirawat S

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 00:00:00 -0000

ros-rolling-rosbridge-server (1.2.0-1noble) noble; urgency=high

  * Fixed multiple subscriber on transient_local topic (#723 <https://github.com/RobotWebTools/rosbridge_suite/issues/723>)
  * use uuid to ensure client id uniqueness (#713 <https://github.com/RobotWebTools/rosbridge_suite/issues/713>)
  * Contributors: Jacob Bandes-Storch, Will, p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 00:00:00 -0000

ros-rolling-rosbridge-server (1.1.2-1noble) noble; urgency=high

  * [694] update DurabilityPolicy api that are being deprecated (#695 <https://github.com/RobotWebTools/rosbridge_suite/issues/695>)
  * Contributors: Evan Flynn

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 00:00:00 -0000

ros-rolling-rosbridge-server (1.1.1-1noble) noble; urgency=high

  * Allow subscribing to any qos profile when creating a subscriber (#690 <https://github.com/RobotWebTools/rosbridge_suite/issues/690>)
  * Fix and add test for multiple subscribers to same topic (#687 <https://github.com/RobotWebTools/rosbridge_suite/issues/687>)
  * Delete unsupported TCP and UDP server implementations in ROS 2 branch (#685 <https://github.com/RobotWebTools/rosbridge_suite/issues/685>)
  * Fix error when advertising duplicate service (#683 <https://github.com/RobotWebTools/rosbridge_suite/issues/683>)
  * Fix incoming service calls (#669 <https://github.com/RobotWebTools/rosbridge_suite/issues/669>)
  * Replace busy wait in AdvertiseService with async handler (#666 <https://github.com/RobotWebTools/rosbridge_suite/issues/666>)
  * Refactor smoke test to make WebSocket test harness reusable (#675 <https://github.com/RobotWebTools/rosbridge_suite/issues/675>)
  * Contributors: Domenic Rodriguez, Jacob Bandes-Storch, Roman Shtylman

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.1.0-1noble) noble; urgency=high

  * Exit cleanly on SIGINT; remove sleep in test (#667 <https://github.com/RobotWebTools/rosbridge_suite/issues/667>)
  * Fix unused variables: flake8 --select=F841 (#623 <https://github.com/RobotWebTools/rosbridge_suite/issues/623>)
  * Fix undefined name in rosbridge_websocket (#659 <https://github.com/RobotWebTools/rosbridge_suite/issues/659>)
  * Port #464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>, #478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>, #496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>, and #502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502> from ROS1 branch (#663 <https://github.com/RobotWebTools/rosbridge_suite/issues/663>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Christian Clauss, Domenic Rodriguez, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.8-1noble) noble; urgency=high

  * Add missing test_depends and buildtool_depends
  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.7-1noble) noble; urgency=high

  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 18 Aug 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.6-1noble) noble; urgency=high

  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 17 Aug 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.5-1noble) noble; urgency=high

  * Fix globs in launch xml for ROS 2 pre-Galactic (#589 <https://github.com/RobotWebTools/rosbridge_suite/issues/589>)
  * Remove authentication features and rosauth dependency (#586 <https://github.com/RobotWebTools/rosbridge_suite/issues/586>)
    [rosauth](http://wiki.ros.org/rosauth) is not maintained for ROS 2, and has not been released for Galactic (https://github.com/GT-RAIL/rosauth/issues/35). Since the authentication feature is old and not commonly used, and since rosbridge_suite has not yet been released in Eloquent, Foxy, or Galactic, we decided to just remove the authentication features to unblock us from pushing releases.
    To avoid breaking backwards compatibility, we will not publish the new version of rosbridge_suite for Dashing.
  * The server now allows choosing port:=0 to select an ephemeral port, and sets the port number in the actual_port ROS param. (#585 <https://github.com/RobotWebTools/rosbridge_suite/issues/585>)
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.4-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.3-1noble) noble; urgency=high

  * Add cbor-raw compression support (#574 <https://github.com/RobotWebTools/rosbridge_suite/issues/574>, adapted from ROS 1 implementation #452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
  * Adaptations to Eloquent [Again] (#533 <https://github.com/RobotWebTools/rosbridge_suite/issues/533>)
    * increase spin period to 1000Hz to allow 1000 messages per second into the websocket
    * allow interpreting int as float when needed
    * better handling array.array and numpy arrays
    * allow bytes and str websocket messages
    * add boolean type
    * handle type extraction of static array rostypes
    * missing cls variable
    Co-authored-by: Maximilian Matthe <mailto:maxi.matthe@googlemail.com>
    Co-authored-by: CoRoLa generic <mailto:corola@bi>
    Co-authored-by: joshwapohlmann <mailto:joshwa.pohlmann@barkhauseninstitut.org>
  * Contributors: Jacob Bandes-Storch, travipross

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 03 Aug 2021 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.2-1noble) noble; urgency=high

  * use Python 3 dependency keys (#436 <https://github.com/RobotWebTools/rosbridge_suite/issues/436>)

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 24 Sep 2019 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.1-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 Sep 2019 00:00:00 -0000

ros-rolling-rosbridge-server (1.0.0-1noble) noble; urgency=high

  * Port to ROS 2

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 19 Sep 2019 00:00:00 -0000

ros-rolling-rosbridge-server (0.11.3-1noble) noble; urgency=high

  * Fixes #418 <https://github.com/RobotWebTools/rosbridge_suite/issues/418>: WebSocketClosedError Spam (#423 <https://github.com/RobotWebTools/rosbridge_suite/issues/423>)
    * not raising WebSocketClosedError for old tornado versions
  * Contributors: lennartdopatka

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 07 Aug 2019 00:00:00 -0000

ros-rolling-rosbridge-server (0.11.2-1noble) noble; urgency=high

  * yield infinite lock (#413 <https://github.com/RobotWebTools/rosbridge_suite/issues/413>)
  * Add settings for websocket timeout (#410 <https://github.com/RobotWebTools/rosbridge_suite/issues/410>)
    * Add settings for websocket timeout
    * Error handling of StreamClosedError
  * Contributors: Aurélien Labate

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 08 Jul 2019 00:00:00 -0000

ros-rolling-rosbridge-server (0.11.1-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rosbridge-server (0.11.0-1noble) noble; urgency=high

  * Additional client information websocket (#393 <https://github.com/RobotWebTools/rosbridge_suite/issues/393>)
    * Add package rosbridge_msgs.
    * rosbridge_server: Publish additional information about connected clients.
    * rosbridge_server: Make ClientManager's add_client/remove_client methods thread safe.
    * rosbridge_server: Rm unnecessary publishing.
    * rosbridge_msgs: Cleanup/fix dependencies.
  * Handle BadYieldError in Tornado <4.5.0 (#395 <https://github.com/RobotWebTools/rosbridge_suite/issues/395>)
  * Contributors: Hans-Joachim Krauch, Matt Vollrath

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 29 Mar 2019 00:00:00 -0000

ros-rolling-rosbridge-server (0.10.2-1noble) noble; urgency=high

  * Log Tornado handler exceptions (#386 <https://github.com/RobotWebTools/rosbridge_suite/issues/386>)
    * Decorate most handlers which were previously failing silently.
    * Use a try block in the @coroutine, it refused double decoration.
    * Always raise after logging, so Tornado sees the Exception too.
    * Only warn when racing to write to a closed WebSocket.
  * Synchronous websocket write (#385 <https://github.com/RobotWebTools/rosbridge_suite/issues/385>)
    Fixes #212 <https://github.com/RobotWebTools/rosbridge_suite/issues/212>
  * Contributors: Matt Vollrath

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 04 Mar 2019 00:00:00 -0000

ros-rolling-rosbridge-server (0.10.1-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 16 Dec 2018 00:00:00 -0000

ros-rolling-rosbridge-server (0.10.0-1noble) noble; urgency=high

  * CBOR encoding (#364 <https://github.com/RobotWebTools/rosbridge_suite/issues/364>)
    * Add CBOR encoding
    * Fix value extraction performance regression
    Extract message values once per message.
    * Fix typed array tags
    Was using big-endian tags and encoding little-endian.
    Always use little-endian for now since Intel is prevalent for desktop.
    Add some comments to this effect.
    * Update CBOR protocol documentation
    More information about draft typed arrays and when to use CBOR.
    * Fix 64-bit integer CBOR packing
    Use an actual 64-bit format.
  * Add param to enable ws per-message deflate (#365 <https://github.com/RobotWebTools/rosbridge_suite/issues/365>)
    * Add param to enable ws per-message deflate
    Tornado has its own per-message deflate compression option, which
    compresses each WebSocket message.  The compression level should be
    roughly equivalent to PNG compression, depending on whether the message is
    JSON or binary (CBOR).  The encoding/decoding time will be much faster
    than protocol PNG compression.
    This param should be enabled when wire size is important, e.g. not
    connecting to localhost.
  * rosbridge_server: Publish number of connected clients on latched topic. (#359 <https://github.com/RobotWebTools/rosbridge_suite/issues/359>)
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Adding bson support for websockets (#327 <https://github.com/RobotWebTools/rosbridge_suite/issues/327>)
    * removed message that bson isn't supported. setting the bson only mode class attribute
    * added auth package inspection for bson only mode
  * Contributors: Dirk Thomas, Hans-Joachim Krauch, Matt Vollrath, Sanic

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Dec 2018 00:00:00 -0000

ros-rolling-rosbridge-server (0.9.0-1noble) noble; urgency=high

  * Make unregister_timeout configurable (#322 <https://github.com/RobotWebTools/rosbridge_suite/issues/322>)
    Pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> introduces a 10 second delay to mitigate issue #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>.
    This change makes this delay configurable by passing an argument either
    on the command line or when including a launch file.
    Usage example:
    ```xml
    <launch>
    <include file="$(find rosbridge_server)/launch/rosbridge_websocket.launch">
    <arg name="unregister_timeout" value="5.0"/>
    </include>
    </launch>
    ```
    Closes #320 <https://github.com/RobotWebTools/rosbridge_suite/issues/320>
  * Remove tornado fork from source code and add python-tornado as run dependency (#317 <https://github.com/RobotWebTools/rosbridge_suite/issues/317>)
    Release only for kinetic+
  * Fix bug that lost data while sending large packets (#310 <https://github.com/RobotWebTools/rosbridge_suite/issues/310>)
    * fix bug that lost data while sending large packets
  * Contributors: Jørgen Borgesen, MBlistein, WH-0501

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-rolling-rosbridge-server (0.8.6-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 08 Dec 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.8.5-1noble) noble; urgency=high

  * Raise if inappropriate bson module is installed (Appease #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>) (#270 <https://github.com/RobotWebTools/rosbridge_suite/issues/270>)
    * Raise Exception if inappropriate bson module is installed (Related to #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>)
  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Junya Hayashi, Kartik Mohta

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 23 Nov 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.8.4-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 16 Oct 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.8.3-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 11 Sep 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.8.2-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 11 Sep 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.8.1-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 30 Aug 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.8.0-1noble) noble; urgency=high

  * Merge pull request #281 <https://github.com/RobotWebTools/rosbridge_suite/issues/281> from RobotWebTools/expose_b64
    expose binary_encoder rosparam that was hidden in deep depth
  * address review comment. more explicitly describe valid args
  * correct the possible argument
  * expose binary_encoder rosparam that was hidden in deep depth
  * Merge pull request #277 <https://github.com/RobotWebTools/rosbridge_suite/issues/277> from T045T/remove_nodelay_for_udp
    don't try to set TCP nodelay option for UDP
  * don't try to set TCP nodelay option for UDP
  * Merge pull request #273 <https://github.com/RobotWebTools/rosbridge_suite/issues/273> from Sanic/set_bson_only_flags
    Set default for bson_only_mode in websocket handler and launch file.
  * Set default for bson_only_mode in websocket handler and launch file.
  * Merge pull request #257 <https://github.com/RobotWebTools/rosbridge_suite/issues/257> from Sanic/bson-only-mode
    Implemented a bson_only_mode flag for the TCP version of rosbridge
  * Implemented a bson_only_mode flag for the TCP version of rosbridge; This allows you to switch to a full-duplex transmission of BSON messages and therefore eliminates the need for a base64 encoding of binary data; Use the new mode by starting:'roslaunch rosbridge_server rosbridge_tcp.launch bson_only_mode:=True' or passing '--bson_only_mode' to the rosbridge_tcp.py script
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Jihoon Lee, Nils Berg, Patrick Mania, pmania

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 30 Aug 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.17-1noble) noble; urgency=high

  * Fixed the launch files for the tcp and udp service. Without these modifications, the rosapi node fails because some rosparams are not defined properly before. Now the launchfiles comply to the websocket version.
  * Added default topics to all launch files, and fixed bug where it would crash if nothing was put into the lists as values
  * Fix: Set default to publish all topics
    Without better doc, one does not understand why no topics are published. I thought, something is broken.
    With this defaults, everything is working out of the box. And for a more secure setup, one can change it.
  * correct default values for security globs
    also accept empty list as the default "do not check globs" value in addition to None.
    Finally, append rosapi service glob after processing command line input so it's not overwritten
  * add missing imports and correct default values for glob parameters
  * Added services_glob to CallServices, added globs to rosbridge_tcp and rosbridge_udp, and other miscellaneous fixes.
  * Two minor fixes.
  * Added new parameters for topic and service security.
    Added 3 new parameters to rosapi and rosbridge_server which filter the
    topics, services, and parameters broadcast by the server to match an
    array of glob strings.
  * Contributors: Devon Ash, Eric, Nils Berg, Patrick Mania, plieningerweb

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Jan 2017 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.16-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Aug 2016 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.15-1noble) noble; urgency=high

  * Track Twisted run_depend
    Fixes #218 <https://github.com/RobotWebTools/rosbridge_suite/issues/218>
  * Add rosbridge_udp cmake install rule #225 <https://github.com/RobotWebTools/rosbridge_suite/issues/225>
  * Stop UDP server on ROS shutdown
  * changelog updated
  * Track Twisted run_depend
    Fixes #218 <https://github.com/RobotWebTools/rosbridge_suite/issues/218>
  * Contributors: Jihoon Lee, Matt Vollrath, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 25 Apr 2016 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.14-1noble) noble; urgency=high

  * Abort websocket server listen() retry on shutdown
    This allows the server to shut down via SIGINT or SIGTERM during its listen() retry loop.
  * rospy.get_param instead of get_param
  * actually use those parameters
  * remove reference to retry_startup_delay from rosbridge_udp.launch
  * clean up parameters and handling
    * make parameters accessible via parameter server for all three versions
    * remove old advertise_service parameters
    * UDP and TCP can't do SSL
    * TCP can't authenticate yet (because the RosbridgeTcpSocket class is instantiated for each request and hence does not hold state)
    * UDP does not take a hostname or address, but rather an interface
  * Allow TCP Server to reuse address after restart
    After killing (Ctrl-C) a rosbridge_tcp server instance which has
    connected clients, starting a new instance (on the same port) can
    fail with the error: '[Errno 98] Address already in use'. Although the
    node retries until the server starts, this can take up to a few minutes.
    Instruct the ThreadingTCPServer to allow the reuse of the same address.
  * Adding UDP
  * Contributors: Matt Vollrath, Nils Berg, Victor Savu, XuHao, xuhao1

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 11 Feb 2016 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.13-1noble) noble; urgency=high

  * Add bson encoding to the server side
  * Add default strings for certfile and keyfile
    This allows downstream packages with roslaunch_add_file_check tests to pass.
  * Fix whitespace in RosbridgeTcpHandler
  * Modularize RosbridgeTcpSocket
  * Modularize RosbridgeWebSocket
  * add shutdown handling to rosbridge_tcp and make rosbridge_websocket more robust
  * Removed space from empty line.
    Thanks @T045T
  * Stop IOLoop on shutdown.
  * Contributors: Benny, David Lu, Matt Vollrath, Nils Berg, Paul Bovbel

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Aug 2015 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.12-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 07 Apr 2015 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.11-1noble) noble; urgency=high

  * rename rosapi script to rosapi_node to address #170 <https://github.com/RobotWebTools/rosbridge_suite/issues/170>
  * Enabled TCP nodelay in Websocket handler
  * Contributors: Jihoon Lee, Sebastien Mamessier

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 23 Mar 2015 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.10-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Feb 2015 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.9-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 24 Feb 2015 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.8-1noble) noble; urgency=high

  * Fix path to Tornado speedup extension source
  * Build Tornado speedups
    Fixes #135 <https://github.com/RobotWebTools/rosbridge_suite/issues/135>
  * Contributors: Matt Vollrath

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.7-1noble) noble; urgency=high

  * remove rosbridge_tools from dependency #163 <https://github.com/RobotWebTools/rosbridge_suite/issues/163>
  * reverting back the changes
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 06 Jan 2015 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.6-1noble) noble; urgency=high

  * 0.7.5
  * update changelog
  * Function in robridge_tools for importing tornado
  * Revert "reverts back to internal tornado until fix is ready"
    This reverts commit 49eeb1d97da154213d3170c95169b5677b329d07.
  * 0.7.4
  * changelog updated
  * reverts back to internal tornado until fix is ready
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * use alias to import rosbridge_tool tornado
  * move modules under rosbridge_tools
  * 0.7.1
  * update changelog
  * Merge pull request #147 from RobotWebTools/migrate_third_parties
    separate tornado and backports from rosbridge_server
  * separate out third party library and ros related script
  * remove setup.py
  * add rosbridge_tools as rosbridge_server dependency
  * remove python-imaging dependency. it is used in rosbridge_library
  * 0.7.0
  * changelog updated
  * Contributors: Jihoon Lee, Jon Binney, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 26 Dec 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.5-1noble) noble; urgency=high

  * Function in robridge_tools for importing tornado
  * Revert "reverts back to internal tornado until fix is ready"
    This reverts commit 49eeb1d97da154213d3170c95169b5677b329d07.
  * Contributors: Jon Binney

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 26 Dec 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.4-1noble) noble; urgency=high

  * reverts back to internal tornado until fix is ready
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.3-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Dec 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.2-1noble) noble; urgency=high

  * use alias to import rosbridge_tool tornado
  * move modules under rosbridge_tools
  * 0.7.1
  * update changelog
  * Merge pull request #147 from RobotWebTools/migrate_third_parties
    separate tornado and backports from rosbridge_server
  * separate out third party library and ros related script
  * remove setup.py
  * add rosbridge_tools as rosbridge_server dependency
  * remove python-imaging dependency. it is used in rosbridge_library
  * Contributors: Jihoon Lee, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Dec 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.1-1noble) noble; urgency=high

  * Merge pull request #147 <https://github.com/RobotWebTools/rosbridge_suite/issues/147> from RobotWebTools/migrate_third_parties
    separate tornado and backports from rosbridge_server
  * separate out third party library and ros related script
  * remove setup.py
  * add rosbridge_tools as rosbridge_server dependency
  * remove python-imaging dependency. it is used in rosbridge_library
  * Contributors: Jihoon Lee, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 09 Dec 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.7.0-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 02 Dec 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.8-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.7-1noble) noble; urgency=high

  * updated package manifests
  * Merge pull request #137 from RobotWebTools/revert
    Revert "Install Tornado via rosdep"
  * Revert "Install Tornado via rosdep"
    This reverts commit 2d8a2fa5d23550427d6957acffc7dfa6f55e9c34.
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 22 Oct 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.6-1noble) noble; urgency=high

  * Install Tornado via rosdep
    Use python-tornado-pip to make sure we get the speedups introduced in Tornado 3.2.
  * Contributors: Matt Vollrath

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 21 Oct 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.5-1noble) noble; urgency=high

  * 0.6.4
  * update changelog
  * add backports to setup.py, so backports.ssl_match_hostname can be properly resolved
  * 0.6.3
  * update change log
  * Contributors: Jihoon Lee, Nils Berg

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 14 Oct 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.4-1noble) noble; urgency=high

  * add backports to setup.py, so backports.ssl_match_hostname can be properly resolved
  * Contributors: Nils Berg

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Oct 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.3-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 07 Oct 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.2-1noble) noble; urgency=high

  * Merge pull request #125 from megawac/json
    Remove unused imports; move json imports to utility
  * override to enable support for allowing alternate origins
    To accept all cross-origin traffic (which was the default prior to Tornado 4.0), simply override this method to always return true.
  * import backports.ssl_match_hostname 3.4.0.2
  * upgrade tornado to 4.0.2
  * Remove unused json imports; move json imports to utility
    Fixes #7
  * Contributors: Graeme Yeates, Ramon Wijnands, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 06 Oct 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.1-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 01 Sep 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.6.0-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 23 May 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.5.4-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 17 Apr 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.5.3-1noble) noble; urgency=high

  * rosbridge_server: add install tag for python files, not just symlinks, to make them executable
  * Contributors: ipa-mig

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.5.2-1noble) noble; urgency=high

  * move global param into local param to address issue #25 <https://github.com/RobotWebTools/rosbridge_suite/issues/25>
  * moving global parameter into local parameter to address issue #25 <https://github.com/RobotWebTools/rosbridge_suite/issues/25>
  * merging changes of groovy-devel into hydro-devel
  * Specific IP address binding using roslauch
  * added parameter lookup to rosbridge_tcp.py, modules where those are used, and default parameters to launch file; internal default-values still get used when launch-file does not provide them; internal defaults can be changed within rosbridge_tcp.py
  * increasing max_msg_length - still hardcoded
  * preparing pull request for upstream..
  * cleanup: files, notes, some code
  * cleanup tcp-server
  * added message_field <message_intervall> to allow client to control delay between messages from rosbridge
  * tested rosbridge_websocket with new capabilities; websocket test scripts not working yet..; but new caps are working when using rosbridge_websocket and tcp2ws wrapper --> so only testscripts need to be fixed for websockets.
  * feierabend.. morgen weiter mit server & client JSON-decoder, see notes
  * only current changes; not yet done..
  * code cleanup, not yet finished..; rosbridge logging much cleaner now
  * file extension for websocket server .py
  * ...
  * ...
  * fixed test_server_defragment - recodegit status
  * linuxonandroid
  * added extension to server script; + symlink
  * fixed some parts; ..still better do some redesign for queueing of messages..
  * forced tcp_send to use queue and use delay between sends
  * blocking behavior for service requests to non-ros; test-scripts use get-ip4 helper function; ..needs a lot cleanup before next steps..
  * message_size debugging; TODO: sort list of received fragments! ; make sure receive_buffers are big enough for fragment_size + header..
  * some code cleanup
  * some minor changes: comments, debug-output, ..
  * first working classes: service_server
  * added socket_timeout and exception-handling for clients that do not send any data at all but are listening only.
  * Catkin fixes for rosbridge TCP.
  * Catkinizes rosbridge_tcp.
    Adds launch file too.
  * Clean up of Rosbridge TCP.
  * add rosbridge_server with tcp socket support
  * adapt rosbridge_tcp to groovy-devel structure
  * add rosbridge_server with tcp socket support
  * Param bug fixed
  * SSL options added
  * Contributors: Brandon Alexander, Jihoon Lee, Russell Toris, Steffel Fenix, dave, fxm-db, ipa-fxm, root

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Mar 2014 00:00:00 -0000

ros-rolling-rosbridge-server (0.5.1-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 31 Oct 2013 00:00:00 -0000

ros-rolling-rosbridge-server (0.5.0-1noble) noble; urgency=high

  * 0.5.0 preparation for hydro release
  * Removes trailing commas.
  * removing global bin installation in setup.py
  * Contributors: Brandon Alexander, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 17 Jul 2013 00:00:00 -0000

ros-rolling-rosbridge-server (0.4.4-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 08 Apr 2013 00:00:00 -0000

ros-rolling-rosbridge-server (0.4.3-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 03 Apr 2013 08:24:00 -0000

ros-rolling-rosbridge-server (0.4.2-1noble) noble; urgency=high

  * launch file location fixed in install
  * response from rosauth fixed
  * authentication added
  * launch file updated with args for port and SSL options
  * SSL options added
  * eclipse projects removed
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 03 Apr 2013 08:12:00 -0000

ros-rolling-rosbridge-server (0.4.1-1noble) noble; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 07 Mar 2013 00:00:00 -0000

ros-rolling-rosbridge-server (0.4.0-1noble) noble; urgency=high

  * Resolves submodule issues.
  * Adds rosbridge_websocket launch file.
  * Uses only 1 .gitignore to avoid confusion.
  * Fixing rosapi's "Cannot include proxy..." errors.
  * Renames server script to rosbridge_websocket.
  * Adds BSD license header to code files.
    See Issue #13 <https://github.com/RobotWebTools/rosbridge_suite/issues/13>.
  * rosbridge_server requires rosapi.
  * Moves rosbridge_server code to scripts.
    Was getting an odd bug with tornado:
    [ERROR] [WallTime: 1356115083.100585] Uncaught exception, closing connection.
    [ERROR] [WallTime: 1356115083.100900] Exception in callback <tornado.stack_context._StackContextWrapper object at 0x1dd6e10>
  * Removing ultrajson from rosbridge.
    If JSON parsing becomes a performance bottle neck, we can re-add it.
  * Refactors rosbridge_server. Adds scripts dir.
  * Catkinizing rosbridge_library and server.
  * Added command line --port argument.
  * Collapse directory structure.
  * Moved the packages inside a folder called rosbridge
  * Initial commit of rosbridge_server
  * Contributors: Austin Hendrix, Brandon Alexander, Jonathan Mace

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 05 Mar 2013 00:00:00 -0000


